﻿// define our variables
var oXML;
var tNodes;
var xmlPath = "naughty.xml"; // set the path to your naughty word's xml file here

// define the function that is fired off after the xml file is done loading
function xmlLoaded ( success ){
	if ( success ){
		// set the root node and the total bad words
		oXML = naughtyXML.firstChild;
		tNodes = oXML.childNodes.length;
	}
}

// define the function that is used for check if a word is naughty or good
function isNaughty ( act ){
	// set our starting variables
	var badWord = false;
	
	// check the word against the naughty.xml file
	for ( var i = 0; i < tNodes; i ++ ){
		if ( act == oXML.childNodes[i].attributes.words ){
			badWord = true;
			break;
		}
	}
	
	// return the result [ true or false ]
	return ( badWord );
}

// define our xml object and load up the naughty word file
var naughtyXML = new XML ();
naughtyXML.ignoreWhite = true;
naughtyXML.onLoad = xmlLoaded;
naughtyXML.load ( xmlPath );

/* 
If you save this file on your hard drive in your documents folder you can use it
for all your flash files with out retyping it each time by simply using the 
#include "naught.as" command in flash.

If you were using this in a game and wanted to check the users name to make
sure a bad word was not being entered, you could use the following example:

var user = isNaughty(username.text);
if(user == true){ trace("This is a bad word"); }
else { trace("This is not a badword"); }

*NOTE: 
	When calling the isNaughty function and passing in the object or string to 
	check the return will be a boolean value ( true or false )

	To see this in action visit my website at www.yavstr.com
*/